For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects/{object_id}/associations
          • PUT/custom-object-classes/{source_class_id}/custom-objects/{source_object_id}/associations/{target_class_id}/{target_object_id}/{association_type_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Custom ObjectsAssociations

/custom-object-classes/{source_class_id}/custom-objects/{source_object_id}/associations/{target_class_id}/{target_object_id}/{association_type_id}

Beta
PUT
/crm/v1/custom-object-classes/:source_class_id/custom-objects/:source_object_id/associations/:target_class_id/:target_object_id/:association_type_id
PUT
/api/crm/v1/custom-object-classes/:source_class_id/custom-objects/:source_object_id/associations/:target_class_id/:target_object_id/:association_type_id
$curl -X PUT https://api.merge.dev/api/crm/v1/custom-object-classes/source_class_id/custom-objects/source_object_id/associations/target_class_id/target_object_id/association_type_id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Updated
1{
2 "created_at": "2021-09-15T00:00:00Z",
3 "modified_at": "2021-10-16T00:00:00Z",
4 "source_object": "a8f5d29f-4e50-473f-8f12-27128ffcd37a",
5 "target_object": "da0b1963-be70-469c-9f8c-06a81d0fe759",
6 "association_type": "88a71b5c-a3cc-4bce-84ff-d18b049a4081"
7}

Creates an Association between source_object_id and target_object_id of type association_type_id.

Was this page helpful?
Previous

/custom-object-classes/{custom_object_class_id}/custom-objects/{object_id}/associations

Next

/account-details

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

association_type_idstringRequiredformat: "uuid"
source_class_idstringRequiredformat: "uuid"
source_object_idstringRequiredformat: "uuid"
target_class_idstringRequired
target_object_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Response

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
source_objectstringRead-onlyformat: "uuid"
target_objectstringRead-onlyformat: "uuid"
association_typestring or nullformat: "uuid"
The association type the association belongs to.